VME BPM - Milestone #9788

Support for RF spill monitors
08/04/2015 10:47 PM - John Diamond

Status: Closed Start date: 08/04/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.25 hour
Description

Find out what will be necessary to support RF spill monitors.
Configure and create ACNET devices for spill monitors at TG9 and SSB (see Troy's master BPM spreadsheet).

History

#1 - 08/07/2015 01:34 PM - John Diamond

To us, an RF spill monitor is just a BPM with a single plate.
According to Troy the spill monitor device should simply return the magnitude of the signal.
The plan is to use BPM device ID 0x0008 (magnitude). Perhaps we should limit the ACNET device to returning a single value instead of 2.

#2 - 08/07/2015 01:50 PM - John Diamond
- % Done changed from 0 to 70

Created S:RFS103 (rf spill monitor at 103) and added a BPM configuration line to the TG9 startup script.
To create the device | copied S:HM103 (magnitude device) and set the max data size in the PDB to 4.
Can't test right now as there is a power outage in TGC.

#3 - 08/07/2015 02:01 PM - John Diamond
Added S:RFS106 to sbpmsb startup script.

#4 - 08/28/2015 11:42 AM - John Diamond
- Status changed from New to Closed

- % Done changed from 70 to 100

S:RFS103 and S:RFS106 seem to be working.
